org.modeshape.jcr.spi.federation

## Class WritableConnector

- java.lang.Object
- - org.modeshape.jcr.spi.federation.Connector
  - - org.modeshape.jcr.spi.federation.WritableConnector

- Direct Known Subclasses:
    FileSystemConnector

      public abstract class WritableConnector
      extends Connector

  A specialized abstract `Connector` class that is support both reads and writes. In addition, this class has a `readonly` flag allowing clients to configure a writable connector (external source) as read-only. In this case, all of the write operations will throw an exception.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.spi.federation.Connector

      `Connector.ExtraProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WritableConnector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isReadonly()` Indicates if the connector instance has been configured in read-only mode.

    - ### Methods inherited from class org.modeshape.jcr.spi.federation.Connector

      `checkFieldNotNull, extraPropertiesFor, extraPropertiesStore, factories, getBinaryValue, getCacheTtlSeconds, getChildReference, getContext, getDocumentById, getDocumentId, getDocumentPathsById, getEnvironment, getLogger, getMimeTypeDetector, getRepositoryName, getSourceName, getTransactionManager, hasDocument, initialize, isQueryable, log, moveExtraProperties, nameFrom, nameFrom, nameFrom, newChildReference, newConnectorChangedSet, newDocument, newDocumentId, newPageDocument, pathFactory, pathFrom, pathFrom, propertyFactory, readDocument, removeDocument, setExtraPropertiesStore, shutdown, storeDocument, translator, updateDocument, writeDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WritableConnector

          public WritableConnector()

  - ### Method Detail

    - #### isReadonly

          public boolean isReadonly()

      Description copied from class: `Connector`
      Indicates if the connector instance has been configured in read-only mode.
      Specified by:
        `isReadonly` in class `Connector`
      Returns:
        `true` if the connector has been configured in read-only mode, false otherwise.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.